package com.ysnows.base.net

class PageResp<D> : Resp<PageData<D>>() {

    override fun total(): Int {
        return data()?.count ?: 0
    }

    override fun more(page: Int, pageCount: Int): Boolean {
        return page * pageCount < total()
    }

}
